#include <bits/stdc++.h>
using namespace std;
long long n,m,k;
int main(){
	ios_base::sync_with_stdio(0);
	cin.tie(0);
	cout.tie(0);
    cin >> n>> m>> k;
    if(n%k==0 && m%k==0){
        long long a=k*k;
        cout << n*m/a;
        return 0;
    }
    else if(n%k==0 && m%k!=0){
        long long x=m/k,a=(x*n)/k+(n/k);
        cout << a;
        return 0;
    }
    else if(m%k==0 && n%k!=0){
        long long y=n,n=m,m=y;
        long long x=m/k,a=(x*n)/k+(n/k);
        cout << a;
        return 0;
    }
    else {
        long long a=(n%k),b=(m%k);
        cout << (((n-a)*(m-b))/(k*k))+((n/k)+m/k)+1;
        return 0;
    }
}